# 小游戏开发模板
基于 Umijs + Dvajs + Antd 抽取的开发模板

# 代办事项
- 完善部分组件
- 完成 错题记录器 组件
- 完成 测试相关 部分内容

# 具体使用

## 目录结构
```
.
+-- .umirc.ts 用于配置项目与路由
+-- .prettierrc 用于配置prettier
+-- .eslitrc 用于配置代码规范
+-- tsconfig.json
+-- tslint.yml
+-- typings.d.ts
+-- mock 
|   +-- ... 用于mock接口，可查看umijs相关测试的具体文档
+-- src 
|   +-- assets
    |   +-- ... 用于存放项目引用的静态文件，如font，png图片等
|   +-- layouts
    |   +-- index.less 
    |   +-- index.tsx 通常用于小游戏内容的容器，在这里适配整个游戏内容框与进行一些全局样式的变更
|   +-- locales
    |   +-- en-US.ts 负责语言文件
    |   +-- zh-CN.ts 
|   +-- models
    |   +-- ... 用于添加store，管理数据
|   +-- pages
    |   +-- ... 相关页面，常用为 main、game、rank，分别代表主页、游戏页、排行榜页
|   +-- services
    |   +-- ... 用于保存models中会调用的异步请求或各种服务，较通用的已转移到utils中
|   +-- utils
    |   +-- game_setting
        |   +-- api_config.ts 用于保存当前请求的地址信息等，如静态资源文件地址、api地址等。
        |   +-- game_config.ts 用于保存相关游戏内容，如倒计时上限、答题正确奖励分数情况等。
    |   +-- logic_tools
        |   +-- GameModal 用于控制游戏弹框，目前主要负责暂停离开弹框与报错弹框。
        |   +-- count_down.ts 倒计时，全局通用，目前使用game_config.ts中的两个值进行倒计时判定，暂停与开始时会自动进行计算间隔，防止停止开始动作的间隔过大或过小。
        |   +-- question_reporter.ts 尚未完工，主要用于记录错题。
        |   +-- voice_play.ts 主要用于管理用户音频播放。
    |   +-- tools
        |   +-- cookie_helper.ts 帮助获取用户cookies，主要导出ak、lnk_lang、请求头等信息。
        |   +-- intl_helper.ts 帮助用户直接获取国际化内容而不需要通过umi/locales
        |   +-- mobile_tool.ts 用于帮助用户获取移动端的信息
        |   +-- request_helper.ts 用于帮助用户发起异步请求
        |   +-- visiable_helper.ts 用于监听用户是否离开游戏（直接在model里面的subscribe中进行使用）
    |   +-- types
        |   +-- interface.ts 管理各种interface，方便查阅代码
|   +-- app.ts
|   +-- global.css
```
