function getCookie(name: string): null|string {
  if (typeof window !== "undefined") {
    const reg = new RegExp(`(^| )${name}=([^;]*)(;|$)`);
    const arr = document && document.cookie.match(reg);
    if (arr) {
      return unescape(arr[2]);
    }
  }
  return null;
}

export const ak = getCookie('ak');
export const lnk_lang = getCookie('lnk_lang');
export const authorizationHeaders = {
  Authorization: ak ? `Bearer ${ak}` : null
};
