const hiddenProperty: string =
  "hidden" in document
    ? "hidden"
    : "webkitHidden" in document
    ? "webkitHidden"
    : "mozHidden" in document
    ? "mozHidden"
    : "";
const visibilityChangeEvent = hiddenProperty.replace(
  /hidden/i,
  "visibilitychange"
);

export default function subscriptVisibility(action: any) {
  if (typeof window !== "undefined" && visibilityChangeEvent) {
    document.addEventListener(visibilityChangeEvent, () => {
      if (!(document as any)[hiddenProperty]) {
        action({
          type: "show"
        });
      } else {
        action({
          type: "hide"
        });
      }
    });
  }
}
